uima-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Charles Bearden <Charles.F.Bear...@uth.tmc.edu>
Subject Re: Conflict between 2.3.1 SDK plugin & 2.3.0 AS descriptor editor plugin
Date Thu, 17 Feb 2011 22:50:19 GMT
On 02/16/2011 10:21 AM, James Carman wrote:
> Did you start up eclipse with the "-clean" option to make sure it
> re-initializes everything?  That combination works for me.

I'm using Eclipse Helios for Java SR1 
(eclipse-java-helios-SR1-linux-gtk) on an Ubuntu 10.10 workstation.

I think the problem was that I was trying to manage the plugins manually 
after having installed them from the update site and then uninstalled 
them. It looks like once you install plugins from an update site, you'll 
have a very hard time managing them manually the way you might think you 
should be able to because a good deal of info about them remains in the 
eclipse config files.

Also, when you copy plugin files manually into the plugins subdir and 
start eclipse with the '-clean' option, they don't show up in the 
Installed Software tab of the "What's already installed" dialogue, 
though the plugins do show up in the Plugins tab of that dialogue.

If, once I use the UIMA Eclipse update site to install the plugins, I 
either avoid managing the plugins manually, or I clean out all traces of 
UIMA metadata from the various corners:

./artifacts.xml
./configuration/org.eclipse.osgi/bundles/*/content.xml
./configuration/org.eclipse.osgi/bundles/*/artifacts.xml
./configuration/org.eclipse.update/platform.xml
./features/org.apache.uima.*

everything seems to work.

Thanks,
Chuck


> On Wed, Feb 16, 2011 at 11:19 AM, Tong Fin<tong.fin2@gmail.com>  wrote:
>> Hi,
>> What conflict ? Is there any error message ?
>>
>> Note: Look like my previous e-mail has some delivery problem.
>>
>> -- Tong
>>
>> On Tue, Feb 15, 2011 at 2:11 PM, Charles Bearden<
>> Charles.F.Bearden@uth.tmc.edu>  wrote:
>>
>>> Hi all,
>>>
>>> I'm updating Eclipse with the new UIMA 2.3.1 SDK plugins, but I notice that
>>> they conflict with the UIMA-AS 2.3.0 deployment descriptor editor plugin. My
>>> intent is to implement AS soon, so I'm thinking that I'd be better off
>>> reverting to the 2.3.0 SDK&  plugins so that I can use the deployment
>>> descriptor editor.
>>>
>>> Any recommendations? Any work-arounds?
>>>
>>> Thanks,
>>> Chuck Bearden
>>> ……………………………………………………………
>>> Chuck Bearden
>>> Programmer Analyst IV
>>> The University of Texas Health Science Center at Houston
>>> School of Biomedical Informatics
>>> Email: Charles.F.Bearden@uth.tmc.edu
>>> Phone:<+17135009672>713.500.9672<+17135009672>


Mime
View raw message